@extends('layouts.master')
@section('content')
<div class="row match-height">
    <div class="col-lg-4 col-md-6 col-12">
        <div class="card card-developer-meetup">
            <div class="meetup-img-wrapper rounded-top text-center">
                <img src="{{ url('theme/images/illustration/email.svg') }}" alt="Meeting Pic" height="170" />
            </div>
            <div class="card-body">
                <div class="meetup-header d-flex align-items-center">
                    <div class="meetup-day">
                        <h6 class="mb-0">{{ Carbon\Carbon::now()->isoFormat('dddd'); }}</h6>
                        <h3 class="mb-0">{{ Carbon\Carbon::now()->isoFormat('D'); }}</h3>
                        <h6 class="mb-0">{{ Carbon\Carbon::now()->isoFormat('MMM Y'); }}</h6>
                    </div>
                    <div class="my-auto">
                        <h4 class="card-title mb-25">Komisi Etik Penelitian (KEP) UNESA</h4>
                    </div>
                </div>

                <div class="mt-2">
                    <div class="avatar float-start bg-light-primary rounded me-1">
                        <div class="avatar-content">
                            <i data-feather="map-pin" class="avatar-icon font-medium-3"></i>
                        </div>
                    </div>
                    <div class="more-info">
                        <h6 class="mb-0">Universitas Negeri Surabaya</h6>
                        <small>Lidah Wetan, Surabaya</small>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="col-lg-8 col-12">
        <div class="card card-statistics">
            <div class="card-header">
                <h4 class="card-title">Pengusul</h4>
            </div>
                <div class="card-body statistics-body">
                    <div class="row">
                        <div class="col-xl-3 col-sm-6 col-12 mb-2 mb-xl-0">
                            <div class="d-flex flex-row">
                                <div class="avatar bg-light-primary me-2">
                                    <div class="avatar-content">
                                        <i data-feather='users' class="avatar-icon"></i>
                                    </div>
                                </div>
                                <div class="my-auto">
                                    <h4 class="fw-bolder mb-0">4</h4>
                                    <p class="card-text font-small-3 mb-0">Mhs S1/D4</p>
                                </div>
                            </div>
                        </div>
                        <div class="col-xl-3 col-sm-6 col-12 mb-2 mb-xl-0">
                            <div class="d-flex flex-row">
                                <div class="avatar bg-light-info me-2">
                                    <div class="avatar-content">
                                        <i data-feather="users" class="avatar-icon"></i>
                                    </div>
                                </div>
                                <div class="my-auto">
                                    <h4 class="fw-bolder mb-0">1</h4>
                                    <p class="card-text font-small-3 mb-0">Mhs S2/S3</p>
                                </div>
                            </div>
                        </div>
                        <div class="col-xl-3 col-sm-6 col-12 mb-2 mb-sm-0">
                            <div class="d-flex flex-row">
                                <div class="avatar bg-light-danger me-2">
                                    <div class="avatar-content">
                                        <i data-feather="users" class="avatar-icon"></i>
                                    </div>
                                </div>
                                <div class="my-auto">
                                    <h4 class="fw-bolder mb-0">2</h4>
                                    <p class="card-text font-small-3 mb-0">Dosen</p>
                                </div>
                            </div>
                        </div>
                        <div class="col-xl-3 col-sm-6 col-12">
                            <div class="d-flex flex-row">
                                <div class="avatar bg-light-success me-2">
                                    <div class="avatar-content">
                                        <i data-feather="users" class="avatar-icon"></i>
                                    </div>
                                </div>
                                <div class="my-auto">
                                    <h4 class="fw-bolder mb-0">3</h4>
                                    <p class="card-text font-small-3 mb-0">Industri</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="card-header">
                    <h4 class="card-title">Kategori</h4>
                </div>
                <div class="card-body statistics-body">
                    <div class="row">
                        <div class="col-xl-6 col-sm-6 col-12 mb-2 mb-xl-0">
                            <div class="d-flex flex-row">
                                <div class="avatar bg-light-warning me-2">
                                    <div class="avatar-content">
                                        <i data-feather='clipboard' class="avatar-icon"></i>
                                    </div>
                                </div>
                                <div class="my-auto">
                                    <h4 class="fw-bolder mb-0">20</h4>
                                    <p class="card-text font-small-3 mb-0">Sudah dikategorikan</p>
                                </div>
                            </div>
                        </div>
                        <div class="col-xl-6 col-sm-6 col-12 mb-2 mb-xl-0">
                            <div class="d-flex flex-row">
                                <div class="avatar bg-light-secondary me-2">
                                    <div class="avatar-content">
                                        <i data-feather="clipboard" class="avatar-icon"></i>
                                    </div>
                                </div>
                                <div class="my-auto">
                                    <h4 class="fw-bolder mb-0">10</h4>
                                    <p class="card-text font-small-3 mb-0">Belum dikategorikan</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
        </div>
    </div>
</div>
@stop
